<?php
namespace App\Traits;

trait ReferenceData
{
	public $referenceDataArr = array(
		'home'=>array(
			"commodity" => array(
				array(
					"id" => 1,
					"name" => "Iron Ore",
					"sub_commodity" => array(),
					"isSelectable" => "y"
				),
				array(
					"id" => 2,
					"name" => "Coal",
					"sub_commodity" => array(),
					"isSelectable" => "y"
				),
				array(
					"id" => 3,
					"name" => "Scrap & Metallics",
					"sub_commodity" => array(),
					"isSelectable" => "y"
				),
				array(
					"id" => 4,
					"name" => "Steel",
					"sub_commodity" => array(),
					"isSelectable" => "y"
				),
				array(
					"id" => 5,
					"name" => "Ferro Alloy",
					"sub_commodity" => array(),
					"isSelectable" => "y"
				),
				array(
					"id" => 6,
					"name" => "Logistics",
					"sub_commodity" => array(),
					"isSelectable" => "y"
				),
				array(
					"id" => 7,
					"name" => "Ship Breaking",
					"sub_commodity" => array(),
					"isSelectable" => "y"
				)
			),
			"region"=>array(
				array(
					"id" => 1,
					"name" => "Americas",
					"sub_region" => array(),
					"isSelectable" => "y"
				),
				array(
					"id" => 2,
					"name" => "UK, Europe",
					"sub_region" => array(),
					"isSelectable" => "y"
				),
				array(
					"id" => 3,
					"name" => "South East Asia",
					"sub_region" => array(),
					"isSelectable" => "y"
				),
				array(
					"id" => 4,
					"name" => "South Asia",
					"sub_region" => array(),
					"isSelectable" => "y"
				),
				array(
					"id" => 5,
					"name" => "MEA (Middle East Africa)",
					"sub_region" => array(),
					"isSelectable" => "y"
				),
				array(
					"id" => 6,
					"name" => "Far East Aisa",
					"sub_region" => array(),
					"isSelectable" => "y"
				),
				array(
					"id" => 7,
					"name" => "CIS Nations",
					"sub_region" => array(),
					"isSelectable" => "y"
				),
				array(
					"id" => 8,
					"name" => "Ocenia",
					"sub_region" => array(),
					"isSelectable" => "y"
				),
				array(
					"id" => 9,
					"name" => "India",
					"sub_region" => array(),
					"isSelectable" => "y"
				),
				array(
					"id" => 10,
					"name" => "China",
					"sub_region" => array(),
					"isSelectable" => "y"
				)
			)
		),
		'insights' =>	array(
			"commodity" => array(
				array(
					"id" => 1,
					"name" => "Iron Ore",
					"sub_commodity" => array(
						array(
							"id" => 11,
							"name" => "Fines, Lumps",
							"sub_commodity" => array(),
							"isSelectable" => "y"
						),
						array(
							"id" => 12,
							"name" => "Pellets",
							"sub_commodity" => array(),
							"isSelectable" => "y"
						)
					),
					"isSelectable" => "n"
				),
				array(
					"id" => 2,
					"name" => "Coal",
					"sub_commodity" => array(),
					"isSelectable" => "y"
				),
				array(
					"id" => 3,
					"name" => "Scrap & Metallics",
					"sub_commodity" => array(),
					"isSelectable" => "y"
				),
				array(
					"id" => 4,
					"name" => "Steel",
					"sub_commodity" => array(),
					"isSelectable" => "y"
				),
				array(
					"id" => 5,
					"name" => "Ferro Alloy",
					"sub_commodity" => array(),
					"isSelectable" => "y"
				),
				array(
					"id" => 6,
					"name" => "Logistics",
					"sub_commodity" => array(),
					"isSelectable" => "y"
				),
				array(
					"id" => 7,
					"name" => "Ship Breaking",
					"sub_commodity" => array(),
					"isSelectable" => "y"
				)
			),
			"region"=>array(
				array(
					"id" => 1,
					"name" => "Americas",
					"sub_region" => array(
						array(
							"id" => 11,
							"name" => "United states of america",
							"sub_region" => array(),
							"isSelectable" => "y"
						),
						array(
							"id" => 12,
							"name" => "Canada",
							"sub_region" => array(),
							"isSelectable" => "y"
						),
						array(
							"id" => 13,
							"name" => "Brazil",
							"sub_region" => array(),
							"isSelectable" => "y"
						)
					),
					"isSelectable" => "n"
				),
				array(
					"id" => 2,
					"name" => "UK, Europe",
					"sub_region" => array(),
					"isSelectable" => "y"
				),
				array(
					"id" => 3,
					"name" => "South East Asia",
					"sub_region" => array(),
					"isSelectable" => "y"
				),
				array(
					"id" => 4,
					"name" => "South Asia",
					"sub_region" => array(),
					"isSelectable" => "y"
				),
				array(
					"id" => 5,
					"name" => "MEA (Middle East Africa)",
					"sub_region" => array(),
					"isSelectable" => "y"
				),
				array(
					"id" => 6,
					"name" => "Far East Aisa",
					"sub_region" => array(),
					"isSelectable" => "y"
				),
				array(
					"id" => 7,
					"name" => "CIS Nations",
					"sub_region" => array(),
					"isSelectable" => "y"
				),
				array(
					"id" => 8,
					"name" => "Ocenia",
					"sub_region" => array(),
					"isSelectable" => "y"
				),
				array(
					"id" => 9,
					"name" => "India",
					"sub_region" => array(),
					"isSelectable" => "y"
				),
				array(
					"id" => 10,
					"name" => "China",
					"sub_region" => array(),
					"isSelectable" => "y"
				)
			)
		),
		'tenders' => array(
			
		),
		'prices' => array(
			
		)
	);
}